RedCrawler API
Emoji V1

Delete Emoji V1

Delete a custom emoji from a subreddit. Requires mod permissions.

DELETE /api/v1/communities/{name}/emoji/{emoji_name}

Delete a custom emoji from a subreddit. Requires mod permissions.

Path parameters

NameTypeRequiredDescription
namestringYesSubreddit name.
emoji_namestringYesEmoji name to delete.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X DELETE "https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX_Starship_News/emoji/my_emoji" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX_Starship_News/emoji/my_emoji", {
  method: "DELETE",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/SpaceX_Starship_News/emoji/my_emoji"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.delete(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "json": {
      "errors": []
    }
  },
  "error": null,
  "timestamp": "2026-04-29T10:07:19.178397+00:00"
}

On this page